<form action="/admin/product/save" method="post">
    <input type="hidden" name="entity_id" value="{{ product.entity_id }}">
    <input type="text" name="name" placeholder="name" value="{{ product.name }}">
    <input type="text" name="description" placeholder="description" value="{{ product.description }}">
    <input type="number" name="price" placeholder="price" value="{{ product.price }}">
    <select name="category_id">
        <option {{ (product.category_id is empty) ? 'selected' : '' }} disabled>Select category</option>
        {% for category in categories %}
            <option value="{{ category.entity_id }}" {{ (category.entity_id == product.category_id) ? 'selected' : '' }}>{{ category.name }}</option>
        {% endfor %}
    </select>
    <button type="submit">Save!</button>
</form>